---
dependency:
  name: galaxy
driver:
  name: docker
lint: |
    set -e
    yamllint -c molecule/default/yaml-lint.yml .
    ansible-lint tasks
platforms:
  - name: EL7
    # systemd enabled container setup
    image: geerlingguy/docker-centos7-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
  - name: EL8
    # systemd enabled container setup
    image: registry.ethz.ch/ansible-community/images/docker-debian10-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
  - name: Debian10
    # systemd enabled container setup
    image: geerlingguy/docker-debian10-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
  - name: Ubuntu2004
    # systemd enabled container setup
    image: geerlingguy/docker-ubuntu2004-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
provisioner:
  name: ansible
verifier:
  name: ansible
